convert-to-foreign-string
Prev | Strings | Next

## Name

convert-to-foreign-string — Converts a Lisp string to a foreign string. Macro

## Syntax

    	convert-to-foreign-string
    	string =>
    	foreign-string

## Arguments and Values

`string`

  A Lisp string.

foreign-string

  A foreign string.

## Description

Converts a Lisp string to a foreign string. Memory should be freed with `free-foreign-object`.

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
convert-from-foreign-string | Home | allocate-foreign-string